> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read document

> Read a Markdown document, or its outline with ?view=outline.

**Operation ID:** `http.documents.read`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/files/documents
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/files/documents
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/documents:
    get:
      tags:
        - Documents
      summary: Read document
      description: |-
        Read a Markdown document, or its outline with ?view=outline.

        Product guidance: [Document](/concepts/document).
      operationId: http.documents.read
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: view
          in: query
          required: true
          description: content for the Markdown, outline for its headings.
          schema:
            type: string
            enum:
              - content
              - outline
        - name: path
          in: query
          required: true
          description: The document's path in the project.
          schema:
            type: string
            minLength: 1
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_documents_read_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_documents_read_response:
      type: object
      properties:
        data:
          anyOf:
            - type: object
              properties:
                view:
                  type: string
                  const: content
                path:
                  type: string
                file_id:
                  type: string
                version_id:
                  type: string
                markdown:
                  type: string
                semantic_status:
                  type: string
                  enum:
                    - pending
                    - ready
                    - failed
                    - not_requested
                    - not_applicable
              required:
                - view
                - path
                - file_id
                - version_id
                - markdown
                - semantic_status
              additionalProperties: {}
            - type: object
              properties:
                node:
                  type: object
                  properties:
                    id:
                      type: string
                    revision:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    parentId:
                      anyOf:
                        - type: string
                        - type: 'null'
                    path:
                      type: string
                    name:
                      type: string
                    kind:
                      type: string
                      enum:
                        - folder
                        - file
                    fileId:
                      anyOf:
                        - type: string
                        - type: 'null'
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                    - revision
                    - parentId
                    - path
                    - name
                    - kind
                    - fileId
                    - createdAt
                    - updatedAt
                  additionalProperties: {}
                versionId:
                  type: string
                headings:
                  type: array
                  items:
                    type: object
                    properties:
                      blockId:
                        type: string
                      title:
                        type: string
                      depth:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      order:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      parentBlockId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - blockId
                      - title
                      - depth
                      - order
                      - parentBlockId
                    additionalProperties: {}
              required:
                - node
                - versionId
                - headings
              additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.